#!/usr/bin/env python
from kif import *
Wikidata = Store('sparql', 'https://query.wikidata.org/sparql')
it = Wikidata.filter(
    subject=Item('http://www.wikidata.org/entity/Q2270'),
    property=Property('http://www.wikidata.org/entity/P2177'),
    limit=10)
for stmt in it:
    print(stmt)

import kif.vocabulary as wd
qt = Quantity('.07', wd.gram_per_100_gram_of_solvent, '.06', '.08')
stmt1 = wd.solubility(wd.benzene, qt)
print(stmt1 == stmt)

for _, annots in Wikidata.get_annotations([stmt1]):
    print(annots)

from kif.store.mapping import PubChemMapping
PubChem = Store('sparql-mapper', 'http://power.br.ibm.com:8890/sparql/',
                PubChemMapping)

fp = wd.InChI(String('InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H'))
it = PubChem.filter(subject=fp, property=wd.mass, limit=1)
print(next(it))

mx = Store('mixer', [Wikidata, PubChem])
for stmt in mx.filter(subject=fp, property=wd.mass, limit=10):
    print(stmt)

# Local Variables:
# eval: (py-autopep8-mode 0)
# Env:
